import type {DrawingStyle, LineStringGeometry, YMapLocationRequest} from '@yandex/ymaps3-types';


export const LOCATION: YMapLocationRequest = {
    center: [116.529651, 50.390640], // starting position [lng, lat]
    zoom: 15.4 // starting zoom
};

export const FEATURE_PROPS: {geometry: LineStringGeometry; style: DrawingStyle} = {
    geometry: {
        type: 'LineString',
        coordinates: [
            [116.527567, 50.390987],
            [116.525901, 50.392454], 
            [116.521939, 50.390566], 
            [116.512973, 50.398120],
            [116.530041, 50.383314], 
			[116.530607, 50.383261],
			[116.530607, 50.383261],
			[116.532027, 50.384170],
			[116.533391, 50.385560],
			
			[116.533899, 50.385851], 
			[116.527288, 50.391469]
        ]
    },
    style: {
        simplificationRate: 0,
        stroke: [
            {color: 'rgba(25, 109, 255, 0.6)', width: 14},
            {color: '#196DFF', width: 4, dash: [13]},
            {color: '#FFFFFF', width: 32}
        ],
        fill: 'rgba(11, 119, 115, 0.6)'
    }
};

